Subject: bug#11413: update: parallel make redirections

From: Stefano Lattarini <[email-masked]>
Date: Sun, 26 May 2013 11:20:17 +0200

UPDATE: one year later

The redirection issues described in this report were also making it
impossible to try the Automake testsuite with parallel make, as with:

    make check AM_TESTSUITE_MAKE="make -j8"

Racy, random failures were in fact often present, making it hard to
trust the results of the command above.  Which was especially annoying
because, with today's fast multicore machines, is becoming more and
more important to ensure Automake-generated Makefiles work correctly
when run in parallel mode.

The issue has been fixed for the testsuite as a whole with a recent
set of commits, the most significant of is commit d19eb85c, "tests:
use append mode to capture parallel make output":

  <http://git.savannah.gnu.org/cgit/automake.git/commit/?h=d19eb85c>
  <http://lists.gnu.org/archive/html/automake-patches/2013-05/msg00129.html>

Regards,
  Stefano